Package org.opensaml.saml.saml2.binding.security.impl

# Class ExtractChannelBindingsHeadersHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.saml2.binding.security.impl.ExtractChannelBindingsHeadersHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class ExtractChannelBindingsHeadersHandler extends AbstractMessageHandler
MessageHandler to process `ChannelBindings` SOAP header blocks in an incoming SOAP envelope and save them to a `ChannelBindingsContext` underneath the `SOAP11Context`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`finalDestination`
Include header blocks targeted at the final destination node?
`private final org.slf4j.Logger`
`log`
Class logger.
`private boolean`
`nextDestination`
Include header blocks targeted at the next destination node?

## Constructor Summary

Constructors
Constructor
Description
`ExtractChannelBindingsHeadersHandler()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doInvoke(MessageContext messageContext)`
Performs the handler logic.
`void`
`setFinalDestination(boolean flag)`
Set whether to include header blocks targeted at the final destination node (defaults to false).
`void`
`setNextDestination(boolean flag)`
Set whether to include header blocks targeted at the next destination node (defaults to true).

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

### finalDestination

private boolean finalDestination
Include header blocks targeted at the final destination node?

### nextDestination

private boolean nextDestination
Include header blocks targeted at the next destination node?

## Constructor Details

### ExtractChannelBindingsHeadersHandler

public ExtractChannelBindingsHeadersHandler()
Constructor.

## Method Details

### setFinalDestination

public void setFinalDestination(boolean flag)
Set whether to include header blocks targeted at the final destination node (defaults to false).

Parameters:
  `flag` - flag to set

### setNextDestination

public void setNextDestination(boolean flag)
Set whether to include header blocks targeted at the next destination node (defaults to true).

Parameters:
  `flag` - flag to set

### doInvoke

protected void doInvoke(@Nonnull MessageContext messageContext) throws MessageHandlerException
Performs the handler logic.

Specified by:
  `doInvoke` in class `AbstractMessageHandler`
Parameters:
  `messageContext` - the message context on which to invoke the handler
Throws:
  `MessageHandlerException` - if there is an error invoking the handler on the message context